Package groovy.lang

## Class Tuple3<T1,​T2,​T3>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - groovy.lang.Tuple
      - - groovy.lang.Tuple3<T1,​T2,​T3>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.List`

      public class Tuple3<T1,​T2,​T3>
      extends Tuple

  Represents a list of 3 typed Objects.
  Since:
    2.5.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tuple3​(T1 first, T2 second, T3 third)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(int index)` |
    `T1` | `getFirst()` |
    `T2` | `getSecond()` |
    `T3` | `getThird()` |
    `int` | `size()` |

    - ### Methods inherited from class groovy.lang.Tuple

      `equals, hashCode, subList, subTuple`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

- - ### Constructor Detail

    - #### Tuple3

          public Tuple3​(T1 first,
                        T2 second,
                        T3 third)

  - ### Method Detail

    - #### get

          public java.lang.Object get​(int index)

      Specified by:
        `get` in interface `java.util.List<T1>`
      Overrides:
        `get` in class `Tuple`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<T1>`
      Specified by:
        `size` in interface `java.util.List<T1>`
      Overrides:
        `size` in class `Tuple`

    - #### getFirst

          public T1 getFirst()

    - #### getSecond

          public T2 getSecond()

    - #### getThird

          public T3 getThird()